### Method

# GLib BookmarkFile copy

since: 2.76

#### Declaration

    GBookmarkFile*
    g_bookmark_file_copy (
      GBookmarkFile* bookmark
    )

#### Description

Deeply copies a `bookmark` `GBookmarkFile` object to a new one.

Available since: 2.76

#### Return value

Type: `GBookmarkFile`

The copy of `bookmark`. Use `g_bookmark_free()` when finished using it.

The caller of the method takes ownership of the data, and is responsible for freeing it.